| OpenMS 2.5.0

XFDR

Calculates false discovery rate estimates on crosslink identifications.

This tool calculates and FDR estimate for crosslink identifications, which are produced by OpenPepXL. The method employed currently is identical to the target-decoy approach used by xProphet (Walzthoeni et al., 2012). Consequently, this tool can also consume xquest.xml files (produced either by OpenPepXL or xQuest). The tool supports output in the idXML and mzIdentML formats.

pot. predecessor tools | XFDR | pot. successor tools
OpenPepXL | OpenPepXLLF | -

The command line parameters of this tool are:

    XFDR -- Calculates false discovery rate estimates on crosslink identifications

    Full documentation: http://www.openms.de/documentation/TOPP_XFDR.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      XFDR <options>

    Options (mandatory options marked with '*'):

      -in <file>                       Crosslink Identifications in either xquest.xml, idXML, or mzIdentML format

                                       (as produced by OpenPepXL) (valid formats: 'xml', 'idXML', 'mzid', 'xques

                                       t.xml')

      -in_type <in_type>               Type of input file provided with -in. If omitted, the file type is guessed

                                       from the file extension. (valid: 'xml', 'idXML', 'mzid', 'xquest.xml')

      -out_idXML <idXML_file>          Output as idXML file (valid formats: 'idXML')

      -out_mzIdentML <mzIdentML_file>  Output as mzIdentML file (valid formats: 'mzid')

      -out_xquest <xQuestXML_file>     Output as xquest.xml file (valid formats: 'xquest.xml')

      -decoy_string <text>             Prefix of decoy protein ids. The correspondig target protein id should be

                                       retrievable by deleting this prefix. (default: 'DECOY_')

      -minborder <value>               Filter for minimum precursor mass error (ppm) before FDR estimation. Value

                                       s outside of the tolerance window of the original search will effectively

                                       disable this filter. (default: '-50.0')

      -maxborder <value>               Filter for maximum precursor mass error (ppm) before FDR estimation. Value

                                       s outside of the tolerance window of the original search will effectively

                                       disable this filter. (default: '50.0')

      -mindeltas <value>               Filter for delta score, 0 disables the filter. Minimum delta score require

                                       d, hits are rejected if larger or equal. The delta score is a ratio of

                                       the score of a hit and the score of the next best hit to the same spectrum

                                       , so the value range is between 0 and 1 with 1.0 meaning the scores are

                                       equal and 0.5 meaning the next best score is half as high as the current

                                       one. (default: '0.0' min: '0.0' max: '1.0')

      -minionsmatched <number>         Filter for minimum matched ions per peptide. (default: '0' min: '0')

      -uniquexl                        Calculate statistics based only on unique IDs. For a set of IDs from equal

                                       candidates (same pair of peptides, modifications and cross-linked positio

                                       ns), only the highest scoring hit will be considered. By default the score

                                       distribution will be estimated using all 1st ranked candidates.

      -no_qvalues                      Do not transform simple FDR to q-values

      -minscore <value>                Minimum score to be considered for FDR calculation. A number lower than

                                       the lowest score will effectively disable this filter. (default: '-10.0')

      -binsize <value>                 Bin size for the cumulative histograms for score distributions. Should be

                                       about the same size as the smallest expected difference between scores.

                                       Smaller numbers will make XFDR more robust, but much slower. Negative numb

                                       ers are not allowed. Should only be changed if the range of the main score

                                       changes or another score than the OpenPepXL score is used. (default: '1.0

                                       e-04' min: '1.0e-15')

    Common TOPP options:

      -ini <file>                      Use the given TOPP INI file

      -threads <n>                     Sets the number of threads allowed to be used by the TOPP tool (default:

                                       '1')

      -write_ini <file>                Writes the default configuration file

      --help                           Shows options

      --helphelp                       Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+XFDR Calculates false discovery rate estimates on crosslink identifications
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'XFDR'
in Crosslink Identifications in either xquest.xml, idXML, or mzIdentML format (as produced by OpenPepXL)input file*.xml,*.idXML,*.mzid,*.xquest.xml
in_type Type of input file provided with -in. If omitted, the file type is guessed from the file extension.xml,idXML,mzid,xquest.xml
out_idXML Output as idXML file output file*.idXML
out_mzIdentML Output as mzIdentML file output file*.mzid
out_xquest Output as xquest.xml file output file*.xquest.xml
decoy_string DECOY_ Prefix of decoy protein ids. The correspondig target protein id should be retrievable by deleting this prefix.
minborder-50.0 Filter for minimum precursor mass error (ppm) before FDR estimation. Values outside of the tolerance window of the original search will effectively disable this filter.
maxborder 50.0 Filter for maximum precursor mass error (ppm) before FDR estimation. Values outside of the tolerance window of the original search will effectively disable this filter.
mindeltas 0.0 Filter for delta score, 0 disables the filter. Minimum delta score required, hits are rejected if larger or equal. The delta score is a ratio of the score of a hit and the score of the next best hit to the same spectrum, so the value range is between 0 and 1 with 1.0 meaning the scores are equal and 0.5 meaning the next best score is half as high as the current one.0.0:1.0
minionsmatched 0 Filter for minimum matched ions per peptide.0:∞
uniquexl false Calculate statistics based only on unique IDs. For a set of IDs from equal candidates (same pair of peptides, modifications and cross-linked positions), only the highest scoring hit will be considered. By default the score distribution will be estimated using all 1st ranked candidates.true,false
no_qvalues false Do not transform simple FDR to q-values true,false
minscore-10.0 Minimum score to be considered for FDR calculation. A number lower than the lowest score will effectively disable this filter.
binsize 1.0e-04 Bin size for the cumulative histograms for score distributions. Should be about the same size as the smallest expected difference between scores. Smaller numbers will make XFDR more robust, but much slower. Negative numbers are not allowed. Should only be changed if the range of the main score changes or another score than the OpenPepXL score is used.1.0e-15:∞
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false